---
# Este archivo es una definición de un stack compose para ser usado
# como herramienta de desarrollo. NO representa en ningún caso una
# referencia de configuración de despliegue de la aplicación.

version: "3.8"

services:
  app:
    build:
      context: .
      dockerfile: ci/ci.Dockerfile
    image: cicd_example:local
    command:
      - python
      - manage.py
      - runserver
      - 0.0.0.0:8000
    environment:
      DEBUG: "true"
    volumes:
      - .:/src
    ports:
      - 8080:8000
    depends_on:
      - migrate

  migrate:
    build:
      context: .
      dockerfile: ci/ci.Dockerfile
    image: cicd_example:local
    entrypoint:
      - /src/ci/wait-for-db.sh
    command:
      - python
      - manage.py
      - migrate
    volumes:
      - .:/src
    restart: "no"
    depends_on:
      - db

  db:
    image: postgres:13-alpine
    environment:
      POSTGRES_PASSWORD: cicd_example_password
      POSTGRES_USER: cicd_example
      POSTGRES_DB: cicd_example
    volumes:
      - db:/var/lib/postgresql/data

volumes:
  db:
